Android Studio no pudo encontrar ninguna versión que coincida con com.android.support:appcompat-v7:+

Al ejecutar un proyecto en Android Studio se produce un error con este error: could not find any version that matches com.android.support:appcompat-v7:+

¿Cómo puedo solucionar este error?

Desde Android Studio, ve a: Herramientas >> Android >> SDK Manager

Seleccione e instale “Extras | Android Support Repository”

También como se dice en Cómo actualizar las herramientas de la plataforma Android en un linux sin cabeza?

  android list sdk android update sdk --no-ui --filter extra 

Después de instalar Extras|Android Support Repository , no funciona para mí. Luego cambio v7: 1.6 a v7: 1.8 en el archivo build.gradle la app .

com.android.support:appcompat-v7:1.8.+! Y funciona para mi.

Para mí funcionó después de cambiar la versión de 7: 27. + a 7: +

Es muy simple. Amablemente actualice y reemplace el siguiente código en build.gradle (Proyecto: Nombre de la aplicación).

 allprojects { repositories { jcenter() maven { url "https://maven.google.com" } } } 

Abra SDK Manager.exe en su carpeta Android Studio e instale una API correspondiente.

Encontré todas estas respuestas incorrectas para mí. En su lugar, en su estudio de Android mira a la izquierda a continuación. Habrá algo de ayuda para esto.

Por ejemplo, notará que This support library should not use a different version (32) than the compilesdkVersion (23)

Luego cambias la versión de a 23 como esta

compile ‘com.android.support:support-v4:23’

Ahora verá un mensaje A newer version of com.android.support-v4 than 23 is available 23.4.0 .

Así es como sabía que la versión correcta es 23.4.0